#include "vhdl_file.h"


VHDL_Tools::VHDL_File::VHDL_File()
{
    this->scanner = NULL;
}


bool VHDL_Tools::VHDL_File::parseFile(const QString &file)
{
    std::ifstream in_file( file.toStdString().c_str() );
    if( ! in_file.good() ) return false;
    if(scanner)
        delete(scanner);
    try
    {
        scanner = new VHDL_Tools::vhdl_Scanner( &in_file );
    }
    catch( std::bad_alloc &ba )
    {
        std::cerr << "Failed to allocate scanner: (" <<
                     ba.what() << ")\n";
        return false;
    }
    while (scanner->scan()!=0);
    //parse(file.toStdString().c_str());

    return false;
}
